<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Обработчик добавления/редактирования статусов документов.
 * 
 * Файл: /admin/documents/action/add_documents_status.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
// получаем переданные поля
$documents_status_id = to_int($_POST['documents_status_id']);
$documents_status_name = to_str($_POST["documents_status_name"]);
$documents_status_description = to_str($_POST['documents_status_description']);
$site_id = to_int($_REQUEST['site_id']);
$type = $documents_status_id > 0 ? 1 : 0;

if ($insert_documents_status_id = $documents->insert_status($type, $documents_status_id, $documents_status_name, $documents_status_description, false, $site_id))
{
	$admin_forms = new admin_forms();
	$window_id = $admin_forms->GetWindowId();
	?><script type="text/javascript">
	$.appendInput('<?php echo $window_id?>', 'EditAddDocumentsStatus', 'documents_status_id', '<?php echo $insert_documents_status_id?>');
	</script><?php

	// Редактирование статуса документов	
	if ($type)
	{
		show_message($GLOBALS['MSG_documents']['documents_edit_status_success']);
	}
	else // Добавление статуса документов
	{
		show_message($GLOBALS['MSG_documents']['documents_add_status_success']);
	}
}
else // Ошибка добавления/редактирования
{
	if ($type)
	{
		show_error_message($GLOBALS['MSG_documents']['documents_edit_status_error']);
	}
	else 
	{
		show_error_message($GLOBALS['MSG_documents']['documents_add_status_error']);
	}
}
?>